> For the complete documentation index, see [llms.txt](https://docs.thornode.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thornode.io/infrastructure/bifrost-api/endpoints.md).

# Endpoints

Overview of the public Bifrost routes for transaction submission.

## Root

| Endpoint | Description                     |
| -------- | ------------------------------- |
| `GET /`  | Lists public transaction routes |
| `POST /` | Not supported                   |

## Standard Provider Routes

| Endpoint            | Provider    | Use for                                     |
| ------------------- | ----------- | ------------------------------------------- |
| `POST /bloxroute`   | bloXroute   | Single transaction submit                   |
| `POST /astralane`   | Astralane   | Generic Astralane JSON-RPC requests         |
| `POST /blockrazor`  | BlockRazor  | v1 JSON or v2 plain-text transaction submit |
| `POST /lunarlander` | LunarLander | Single transaction submit                   |

## bloXroute Routes

| Endpoint                     | Use for                   |
| ---------------------------- | ------------------------- |
| `POST /bloxroute`            | Single transaction submit |
| `POST /blxrt-submit-batch`   | Batch submit              |
| `POST /blxrt-submit-paladin` | Paladin submit            |
| `POST /blxrt-submit-snipe`   | Snipe submit              |

## Astralane Routes

All Astralane transaction routes use Astralane's JSON-RPC request body.

| Endpoint                     | Use for                                                         |
| ---------------------------- | --------------------------------------------------------------- |
| `POST /astralane`            | `sendTransaction` and other standard Astralane JSON-RPC methods |
| `POST /astrln-submit-bundle` | `sendBundle`                                                    |
| `POST /astrln-submit-batch`  | `sendBatch`                                                     |
| `POST /astrln-submit-ideal`  | `sendIdeal`                                                     |
| `GET /astrln-get-nonce`      | `getNonce`                                                      |
| `POST /astrln-get-nonce`     | `getNonce`                                                      |

## LunarLander Routes

| Endpoint                    | Use for                   |
| --------------------------- | ------------------------- |
| `POST /lunarlander`         | Single transaction submit |
| `POST /lunar-submit-bundle` | Bundle submit             |
| `POST /lunar-submit-batch`  | Batch submit              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thornode.io/infrastructure/bifrost-api/endpoints.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
